WCTRANS(3)

NAME
wctrans - wide-character translation mapping

SYNOPSIS
#include <wctype.h>

wctrans_t wctrans(const char *name);

DESCRIPTION
The wctrans_t type represents a mapping which can map a wide character to another wide character. Its nature is implementation-dependent, but the special value (wctrans_t) 0 denotes an invalid mapping. Nonzero wctrans_t values can be passed to the towctrans(3) function to actually perform the wide-character mapping.

The wctrans() function returns a mapping, given by its name. The set of valid names depends on the LC_CTYPE category of the current locale, but the following names are valid in all locales.
  "tolower" - realizes the tolower(3) mapping
  "toupper" - realizes the toupper(3) mapping

RETURN VALUE
The wctrans() function returns a mapping descriptor if the name is valid. Otherwise it returns (wctrans_t) 0.

CONFORMING TO
C99.

NOTES
The behavior of wctrans() depends on the LC_CTYPE category of the current locale.

SEE ALSO
towctrans(3)

COLOPHON
This page is part of release 3.52 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.